org.cybergarage.upnp.xml

## Class ActionData

- java.lang.Object
- - org.cybergarage.upnp.xml.NodeData
  - - org.cybergarage.upnp.xml.ActionData

-     public class ActionData
      extends NodeData

  Data container for UPnP action information. Extends NodeData to provide action-specific functionality.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionData()` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionListener` | `getActionListener()` Gets the action listener for this action data.
    `ControlResponse` | `getControlResponse()` Gets the control response for this action data.
    `void` | `setActionListener(ActionListener actionListener)` Sets the action listener for this action data.
    `void` | `setControlResponse(ControlResponse res)` Sets the control response for this action data.

    - ### Methods inherited from class org.cybergarage.upnp.xml.NodeData

      `getNode, setNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionData

          public ActionData()

      Default constructor

  - ### Method Detail

    - #### getActionListener

          public ActionListener getActionListener()

      Gets the action listener for this action data.
      Returns:
        the action listener

    - #### getControlResponse

          public ControlResponse getControlResponse()

      Gets the control response for this action data.
      Returns:
        the control response

    - #### setActionListener

          public void setActionListener(ActionListener actionListener)

      Sets the action listener for this action data.
      Parameters:
        `actionListener` - the action listener to set

    - #### setControlResponse

          public void setControlResponse(ControlResponse res)

      Sets the control response for this action data.
      Parameters:
        `res` - the control response to set